/Users/bernard/b20/bsoft/src/bmolhel.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmolhel.cpp - A program to perform helical symmetry operations on coordinate files.

SYNOPSIS

#include 'rwmolecule.h'
#include 'mol_symmetry.h'
#include 'mol_transform.h'
#include 'mol_util.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

A program to perform helical symmetry operations on coordinate files.

Author:
    Bernard Heymann

Date:
    Created: 20090121

    Modified: 20130426

Definition in file bmolhel.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 44 of file bmolhel.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bmolhel [options] in.pdb out.pdb",
"---------------------------------------",
"Performs helical symmetry operations on molecules.",
" ",
"Actions:",
"-generate 5,7            Generate new molecules downwards and upwards.",
"-translate 0,-50,22      Translate (angstrom)",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-origin 10,-10,20        Origin for rotation (default 0,0,0, can be
"-helix 25.3,67.1         Helical rise and angle.",
"-reference 0,1.5,-0.2,35 Reference symmetry axis and rotation angle (default 0,0,1,0).",
"-rename D                Rename molecules from the given letter.",
" ",
"Input:",
"-parameters parm.star    Atomic properties parameter file (default atom_prop.star).",
" ",
NULL
}

Definition at line 21 of file bmolhel.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.